<article class="note">
  <div class="note__main">
    <input
      [formControl]="checkbox"
      (change)="toggleCompletion()"
      type="checkbox"
    >
    <label
      class="note__wrapper-textarea field"
      [ngClass]="{'field--error': textControl?.errors && textControl?.dirty}">
    <textarea
      (keydown.enter)="saveText($event)"
      [formControl]="textControl"
      placeholder="Note text..."
    ></textarea>
      <span *ngIf="textControl?.errors && textControl?.dirty" class="field__error">
        This field is required
      </span>
    </label>
  </div>
  <div class="note__controls">
    <ng-container *ngIf="textControl?.value !== initialText">
      <button
        *ngIf="textControl.valid"
        (click)="saveText($event)"
        class="btn  btn--small  btn--primary"
      >
        Save
      </button>
      <button
        (click)="resetText()"
        class="btn  btn--small"
      >
        Reset Text
      </button>
    </ng-container>
    <a
      *ngIf="!shouldHideDetailsBtn"
      [routerLink]="['/notes', this.note?._id]"
      class="btn  btn--small">
      Details
    </a>
    <button
      (click)="delete()"
      class="btn  btn--small">
      Delete
    </button>
  </div>
</article>
